summaryrefslogtreecommitdiffstats
path: root/source/ap/groff
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/groff')
-rwxr-xr-xsource/ap/groff/groff.SlackBuild129
-rw-r--r--source/ap/groff/groff.docdir.diff12
-rw-r--r--source/ap/groff/groff.man.mdoc.local24
-rw-r--r--source/ap/groff/slack-desc19
4 files changed, 184 insertions, 0 deletions
diff --git a/source/ap/groff/groff.SlackBuild b/source/ap/groff/groff.SlackBuild
new file mode 100755
index 000000000..e9b35d3ee
--- /dev/null
+++ b/source/ap/groff/groff.SlackBuild
@@ -0,0 +1,129 @@
+#!/bin/sh
+
+# Copyright 2005-2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+VERSION=${VERSION:-1.20.1}
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-1}
+
+NUMJOBS=${NUMJOBS:--j7}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-groff
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf groff-$VERSION
+tar xvf $CWD/groff-$VERSION.tar.bz2 || exit 1
+cd groff-$VERSION || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Make this thing respect our declared docdir setting
+zcat $CWD/groff.docdir.diff.gz | patch -p1 --verbose || exit 1
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --docdir=/usr/doc/groff-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+( cd src/devices/xditview
+ mkdir -p $PKG/etc/X11/app-defaults
+ cp -a GXditview.ad $PKG/etc/X11/app-defaults/GXditview
+)
+
+mkdir -p $PKG/usr/doc/groff-$VERSION/xditview
+cp -a \
+ BUG-REPORT COPYING FDL INSTALL INSTALL.gen MORE.STUFF \
+ NEWS PROBLEMS PROJECTS README TODO VERSION \
+ $PKG/usr/doc/groff-$VERSION
+cp -a src/devices/xditview/{README,TODO} $PKG/usr/doc/groff-$VERSION/xditview
+
+# If you want all this stuff, it's in the source tarball:
+rm -rf $PKG/usr/doc/groff-$VERSION/*.ps \
+ $PKG/usr/doc/groff-$VERSION/examples \
+ $PKG/usr/doc/groff-$VERSION/html \
+ $PKG/usr/doc/groff-$VERSION/pdf
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*
+
+# Do not use color ANSI output by default for man pages.
+# A silly "innovation" if ever there was one, sure to break
+# a ton of existing scripts otherwise...
+zcat $CWD/groff.man.mdoc.local.gz >> $PKG/usr/share/groff/site-tmac/man.local
+zcat $CWD/groff.man.mdoc.local.gz >> $PKG/usr/share/groff/site-tmac/mdoc.local
+
+( cd $PKG/usr/bin
+ rm -rf geqn ; ln -sf eqn geqn
+ rm -rf gindxbib ; ln -sf indxbib gindxbib
+ rm -rf gpic ; ln -sf pic gpic
+ rm -rf grefer ; ln -sf refer grefer
+ rm -rf gsoelim ; ln -sf soelim gsoelim
+ rm -rf zsoelim ; ln -sf soelim zsoelim
+ rm -rf gtbl ; ln -sf tbl gtbl
+ rm -rf gtroff ; ln -sf troff gtroff
+ rm -rf glookbib ; ln -sf lookbib glookbib
+ rm -rf gnroff ; ln -sf nroff gnroff
+ rm -rf gneqn ; ln -sf neqn gneqn
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/groff-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source/ap/groff/groff.docdir.diff b/source/ap/groff/groff.docdir.diff
new file mode 100644
index 000000000..a73a3bf59
--- /dev/null
+++ b/source/ap/groff/groff.docdir.diff
@@ -0,0 +1,12 @@
+diff -Nur groff-1.20.orig/Makefile.in groff-1.20/Makefile.in
+--- groff-1.20.orig/Makefile.in 2009-01-05 14:45:13.000000000 -0600
++++ groff-1.20/Makefile.in 2009-01-13 22:14:58.237116441 -0600
+@@ -146,7 +146,7 @@
+ infodir=@infodir@
+
+ # `docdir' says where to install documentation files.
+-docdir=$(datadir)/doc/groff/$(version)$(revision)
++docdir=@docdir@
+
+ # `exampledir' says where to install example files.
+ exampledir=$(docdir)/examples
diff --git a/source/ap/groff/groff.man.mdoc.local b/source/ap/groff/groff.man.mdoc.local
new file mode 100644
index 000000000..4de5a0f1a
--- /dev/null
+++ b/source/ap/groff/groff.man.mdoc.local
@@ -0,0 +1,24 @@
+.
+.if n \{\
+. \" Map \(oq to ' rather than ` in nroff mode for devices other
+. \" than utf8.
+. if !'\*[.T]'utf8' \
+. tr \[oq]'
+.
+. \" Disable the use of SGR (ANSI colour) escape sequences by
+. \" grotty.
+. if '\V[GROFF_SGR]'' \
+. output x X tty: sgr 0
+.
+. \" Map \- to the Unicode HYPHEN-MINUS character, to make
+. \" searching in man pages easier.
+. if '\*[.T]'utf8' \
+. char \- \N'45'
+.
+. \" Many UTF-8 man pages use "-" instead of "\-" for dashes such as those
+. \" in command-line options. This is a bug in those pages, but if you want
+. \" all hyphens to be rendered as the ASCII-compatible HYPHEN-MINUS
+. \" anyway, then uncomment this.
+. \" if '\*[.T]'utf8' \
+. \" char - \N'45'
+.\}
diff --git a/source/ap/groff/slack-desc b/source/ap/groff/slack-desc
new file mode 100644
index 000000000..b9e5af829
--- /dev/null
+++ b/source/ap/groff/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+groff: groff (document formatting system)
+groff:
+groff: The GNU groff package provides versions of troff, nroff, eqn, tbl, and
+groff: other Unix text-formatting utilities. Groff is used to 'compile' man
+groff: pages stored in groff/nroff format into a form which can be printed or
+groff: displayed on the screen. These man pages are stored in compressed
+groff: form in the /usr/man/man? directories.
+groff:
+groff:
+groff:
+groff: